#include "run-time.h"

void _Init_harp_ () __attribute__((constructor));
void _Init_harp_ () {
  extern void _Init_Run_Time();
  extern void _Init_dood_();
  extern void _Init_source_records_();
  extern void _Init_collections_();
  extern void _Init_system_();
  extern void _Init_io_();
  extern void _Init_harp_cg_back_end_();
  extern void _Init_big_integers_();
  extern void _Init_generic_arithmetic_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_harp__X_library_for_system();
  extern void _Init_harp__X_module_for_system();
  extern void _Init_harp__X_macro_support_for_system();
  extern void _Init_harp__X_logcount_for_system();
  extern void _Init_harp__X_bitset_for_system();
  extern void _Init_harp__X_bitset_macros_for_system();
  extern void _Init_harp__X_vreg_state_for_system();
  extern void _Init_harp__X_virtual_register_for_system();
  extern void _Init_harp__X_real_register_for_system();
  extern void _Init_harp__X_spill_for_system();
  extern void _Init_harp__X_register_model_for_system();
  extern void _Init_harp__X_constant_ref_for_system();
  extern void _Init_harp__X_basic_block_for_system();
  extern void _Init_harp__X_op_for_system();
  extern void _Init_harp__X_harp_vars_for_system();
  extern void _Init_harp__X_harp_macros_for_system();
  extern void _Init_harp__X_harp_new_macros_for_system();
  extern void _Init_harp__X_packed_slots_for_system();
  extern void _Init_harp__X_harp_constants_for_system();
  extern void _Init_harp__X_instruction_support_for_system();
  extern void _Init_harp__X_harp_back_end_for_system();
  extern void _Init_harp__X_harp_support_for_system();
  extern void _Init_harp__X_register_support_for_system();
  extern void _Init_harp__X_tag_for_system();
  extern void _Init_harp__X_basic_block_support_for_system();
  extern void _Init_harp__X_bb_for_system();
  extern void _Init_harp__X_constant_ref_support_for_system();
  extern void _Init_harp__X_harp_definitions_for_system();
  extern void _Init_harp__X_instruction_macros_for_system();
  extern void _Init_harp__X_bb_macros_for_system();
  extern void _Init_harp__X_harp_spread_for_system();
  extern void _Init_harp__X_harp_outputters_for_system();
  extern void _Init_harp__X_core_instructions_for_system();
  extern void _Init_harp__X_template_macros_for_system();
  extern void _Init_harp__X_harp_predicates_for_system();
  extern void _Init_harp__X_debug_info_for_system();
  extern void _Init_harp__X_compiled_lambda_for_system();
  extern void _Init_harp__X_harp_outputter_for_system();
  extern void _Init_harp__X_multi_outputter_for_system();
  extern void _Init_harp__X_print_outputter_for_system();
  extern void _Init_harp__X_asm_outputter_for_system();
  extern void _Init_harp__X_interactive_outputter_for_system();
  extern void _Init_harp__X_indep_utils_for_system();
  extern void _Init_harp__X_consistency_for_system();
  extern void _Init_harp__X_function_offsets_for_system();
  extern void _Init_harp__X_sdi_for_system();
  extern void _Init_harp__X_span_dependent_for_system();
  extern void _Init_harp__X_asm_allocate_for_system();
  extern void _Init_harp__X_asm_colour_graph_for_system();
  extern void _Init_harp__X_asm_code_select_for_system();
  extern void _Init_harp__X_asm_linearise_for_system();
  extern void _Init_harp__X_asm_lambda_code_for_system();
  extern void _Init_harp__X_post_cg_lambda_for_system();
  extern void _Init_harp__X_asm_top_level_for_system();
  extern void _Init_harp__X_harp_invoke_for_system();
  extern void _Init_harp__X_harp_print_for_system();
  extern void _Init_harp__X_library_for_user();
  extern void _Init_harp__X_module_for_user();
  extern void _Init_harp__X_macro_support_for_user();
  extern void _Init_harp__X_logcount_for_user();
  extern void _Init_harp__X_bitset_for_user();
  extern void _Init_harp__X_bitset_macros_for_user();
  extern void _Init_harp__X_vreg_state_for_user();
  extern void _Init_harp__X_virtual_register_for_user();
  extern void _Init_harp__X_real_register_for_user();
  extern void _Init_harp__X_spill_for_user();
  extern void _Init_harp__X_register_model_for_user();
  extern void _Init_harp__X_constant_ref_for_user();
  extern void _Init_harp__X_basic_block_for_user();
  extern void _Init_harp__X_op_for_user();
  extern void _Init_harp__X_harp_vars_for_user();
  extern void _Init_harp__X_harp_macros_for_user();
  extern void _Init_harp__X_harp_new_macros_for_user();
  extern void _Init_harp__X_packed_slots_for_user();
  extern void _Init_harp__X_harp_constants_for_user();
  extern void _Init_harp__X_instruction_support_for_user();
  extern void _Init_harp__X_harp_back_end_for_user();
  extern void _Init_harp__X_harp_support_for_user();
  extern void _Init_harp__X_register_support_for_user();
  extern void _Init_harp__X_tag_for_user();
  extern void _Init_harp__X_basic_block_support_for_user();
  extern void _Init_harp__X_bb_for_user();
  extern void _Init_harp__X_constant_ref_support_for_user();
  extern void _Init_harp__X_harp_definitions_for_user();
  extern void _Init_harp__X_instruction_macros_for_user();
  extern void _Init_harp__X_bb_macros_for_user();
  extern void _Init_harp__X_harp_spread_for_user();
  extern void _Init_harp__X_harp_outputters_for_user();
  extern void _Init_harp__X_core_instructions_for_user();
  extern void _Init_harp__X_template_macros_for_user();
  extern void _Init_harp__X_harp_predicates_for_user();
  extern void _Init_harp__X_debug_info_for_user();
  extern void _Init_harp__X_compiled_lambda_for_user();
  extern void _Init_harp__X_harp_outputter_for_user();
  extern void _Init_harp__X_multi_outputter_for_user();
  extern void _Init_harp__X_print_outputter_for_user();
  extern void _Init_harp__X_asm_outputter_for_user();
  extern void _Init_harp__X_interactive_outputter_for_user();
  extern void _Init_harp__X_indep_utils_for_user();
  extern void _Init_harp__X_consistency_for_user();
  extern void _Init_harp__X_function_offsets_for_user();
  extern void _Init_harp__X_sdi_for_user();
  extern void _Init_harp__X_span_dependent_for_user();
  extern void _Init_harp__X_asm_allocate_for_user();
  extern void _Init_harp__X_asm_colour_graph_for_user();
  extern void _Init_harp__X_asm_code_select_for_user();
  extern void _Init_harp__X_asm_linearise_for_user();
  extern void _Init_harp__X_asm_lambda_code_for_user();
  extern void _Init_harp__X_post_cg_lambda_for_user();
  extern void _Init_harp__X_asm_top_level_for_user();
  extern void _Init_harp__X_harp_invoke_for_user();
  extern void _Init_harp__X_harp_print_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_dood_();
    _Init_source_records_();
    _Init_collections_();
    _Init_system_();
    _Init_io_();
    _Init_harp_cg_back_end_();
    _Init_big_integers_();
    _Init_generic_arithmetic_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_harp__X_library_for_system();
    _Init_harp__X_module_for_system();
    _Init_harp__X_macro_support_for_system();
    _Init_harp__X_logcount_for_system();
    _Init_harp__X_bitset_for_system();
    _Init_harp__X_bitset_macros_for_system();
    _Init_harp__X_vreg_state_for_system();
    _Init_harp__X_virtual_register_for_system();
    _Init_harp__X_real_register_for_system();
    _Init_harp__X_spill_for_system();
    _Init_harp__X_register_model_for_system();
    _Init_harp__X_constant_ref_for_system();
    _Init_harp__X_basic_block_for_system();
    _Init_harp__X_op_for_system();
    _Init_harp__X_harp_vars_for_system();
    _Init_harp__X_harp_macros_for_system();
    _Init_harp__X_harp_new_macros_for_system();
    _Init_harp__X_packed_slots_for_system();
    _Init_harp__X_harp_constants_for_system();
    _Init_harp__X_instruction_support_for_system();
    _Init_harp__X_harp_back_end_for_system();
    _Init_harp__X_harp_support_for_system();
    _Init_harp__X_register_support_for_system();
    _Init_harp__X_tag_for_system();
    _Init_harp__X_basic_block_support_for_system();
    _Init_harp__X_bb_for_system();
    _Init_harp__X_constant_ref_support_for_system();
    _Init_harp__X_harp_definitions_for_system();
    _Init_harp__X_instruction_macros_for_system();
    _Init_harp__X_bb_macros_for_system();
    _Init_harp__X_harp_spread_for_system();
    _Init_harp__X_harp_outputters_for_system();
    _Init_harp__X_core_instructions_for_system();
    _Init_harp__X_template_macros_for_system();
    _Init_harp__X_harp_predicates_for_system();
    _Init_harp__X_debug_info_for_system();
    _Init_harp__X_compiled_lambda_for_system();
    _Init_harp__X_harp_outputter_for_system();
    _Init_harp__X_multi_outputter_for_system();
    _Init_harp__X_print_outputter_for_system();
    _Init_harp__X_asm_outputter_for_system();
    _Init_harp__X_interactive_outputter_for_system();
    _Init_harp__X_indep_utils_for_system();
    _Init_harp__X_consistency_for_system();
    _Init_harp__X_function_offsets_for_system();
    _Init_harp__X_sdi_for_system();
    _Init_harp__X_span_dependent_for_system();
    _Init_harp__X_asm_allocate_for_system();
    _Init_harp__X_asm_colour_graph_for_system();
    _Init_harp__X_asm_code_select_for_system();
    _Init_harp__X_asm_linearise_for_system();
    _Init_harp__X_asm_lambda_code_for_system();
    _Init_harp__X_post_cg_lambda_for_system();
    _Init_harp__X_asm_top_level_for_system();
    _Init_harp__X_harp_invoke_for_system();
    _Init_harp__X_harp_print_for_system();
    _Init_harp__X_library_for_user();
    _Init_harp__X_module_for_user();
    _Init_harp__X_macro_support_for_user();
    _Init_harp__X_logcount_for_user();
    _Init_harp__X_bitset_for_user();
    _Init_harp__X_bitset_macros_for_user();
    _Init_harp__X_vreg_state_for_user();
    _Init_harp__X_virtual_register_for_user();
    _Init_harp__X_real_register_for_user();
    _Init_harp__X_spill_for_user();
    _Init_harp__X_register_model_for_user();
    _Init_harp__X_constant_ref_for_user();
    _Init_harp__X_basic_block_for_user();
    _Init_harp__X_op_for_user();
    _Init_harp__X_harp_vars_for_user();
    _Init_harp__X_harp_macros_for_user();
    _Init_harp__X_harp_new_macros_for_user();
    _Init_harp__X_packed_slots_for_user();
    _Init_harp__X_harp_constants_for_user();
    _Init_harp__X_instruction_support_for_user();
    _Init_harp__X_harp_back_end_for_user();
    _Init_harp__X_harp_support_for_user();
    _Init_harp__X_register_support_for_user();
    _Init_harp__X_tag_for_user();
    _Init_harp__X_basic_block_support_for_user();
    _Init_harp__X_bb_for_user();
    _Init_harp__X_constant_ref_support_for_user();
    _Init_harp__X_harp_definitions_for_user();
    _Init_harp__X_instruction_macros_for_user();
    _Init_harp__X_bb_macros_for_user();
    _Init_harp__X_harp_spread_for_user();
    _Init_harp__X_harp_outputters_for_user();
    _Init_harp__X_core_instructions_for_user();
    _Init_harp__X_template_macros_for_user();
    _Init_harp__X_harp_predicates_for_user();
    _Init_harp__X_debug_info_for_user();
    _Init_harp__X_compiled_lambda_for_user();
    _Init_harp__X_harp_outputter_for_user();
    _Init_harp__X_multi_outputter_for_user();
    _Init_harp__X_print_outputter_for_user();
    _Init_harp__X_asm_outputter_for_user();
    _Init_harp__X_interactive_outputter_for_user();
    _Init_harp__X_indep_utils_for_user();
    _Init_harp__X_consistency_for_user();
    _Init_harp__X_function_offsets_for_user();
    _Init_harp__X_sdi_for_user();
    _Init_harp__X_span_dependent_for_user();
    _Init_harp__X_asm_allocate_for_user();
    _Init_harp__X_asm_colour_graph_for_user();
    _Init_harp__X_asm_code_select_for_user();
    _Init_harp__X_asm_linearise_for_user();
    _Init_harp__X_asm_lambda_code_for_user();
    _Init_harp__X_post_cg_lambda_for_user();
    _Init_harp__X_asm_top_level_for_user();
    _Init_harp__X_harp_invoke_for_user();
    _Init_harp__X_harp_print_for_user();
  }
}
